/***
 * various config parameters for htmlwais 
 ***/

/*** WEBTOP is your top level of your HTML archive ***/ 
#define WEBTOP	"/cwis"

/*** TOPURL is your base http reference for your site ***/
#define TOPURL	"http://www.swin.edu.au"

/*** WAISQ is the pathname of the waisq program ***/
#define WAISQ	"/usr/local/bin/waisq"

/*** WAISDIR is where you keep your WAIS sources ***/
#define WAISDIR	"/cwis/wais-sources"

/*** WAISSRC is the default WAIS source to search , should be
     passed as parameter ***/
#define WAISSRC "www-swinburne.au.src"

/*** HTMLHEADER is printed as header with the search results. ***/
#define HTMLHEADER	"hw_header.html"

/*** HTMLTRAILER is printed as trailer to the search results. ***/
#define HTMLTRAILER	"hw_trailer.html"

/*** HWREMARKS is a html file which link will be displayed if it exists
     in a directory of a 'hit' file. ***/
#define HWREMARKS	"hw_remarks.htmls"

/*** DONT_SHOW  is a file without content. If it exists in a directory
     then it the files in it will not be displayed in search result */ 
#define DONT_SHOW	".nosearch"

/*** MAX_LIST is the maximum number of answers to return ***/
#define MAX_LIST	30	/* Maximum of file abstracts to list */

/*** Unlikely to have to change anything below ***/

#define MAX_TITLE	80	/* Max title length */
#define MAX_URL		256	/* Max URL length */
#define MAX_ABS 	380	/* Maxmimum size of abstract */
#define SPARE		80	/* for later HTML TAG insertions */

/* assorted WAISQ output tags */
#define HEADLINE	":headline"	/* wais outout keyword */
#define SCORE		":score"	/* wais output keyword */
#define NUMOFB		":number-of-bytes"
#define NUMOFL		":number-of-lines"

/* flags */
#define H1	0x01		/* Various Headers */
#define H2	0x02
#define H3	0x04
#define H4	0x08
#define H5	0x10
#define H6	0x11
#define THEAD	1
#define TTITLE	2


/* assorted HTML tags */
#define TITLE	"<TITLE>"
#define ETITLE	"</TITLE>"
#define REF	"<A HREF="
#define EREF	"</A>"
#define HEAD1	"<H1>"
#define EHEAD1	"</H1>"
#define HEAD2	"<H2>"
#define EHEAD2	"</H2>"
#define HEAD3	"<H3>"
#define EHEAD3	"</H3>"
#define HEAD4	"<H4>"
#define EHEAD4	"</H4>"
#define BREAK	"<BR>"
#define DEF	"<DD>"
#define PARA	"<P>"
#define ITAL	"<I>"
#define EITAL	"</I>"
#define ULINE	"<U>"
#define EULINE	"</U>"
#define BOLD	"<B>"
#define EBOLD	"</B>"
#define STRONG	"<STRONG>"
#define ESTRONG "</STRONG>"
#define HTML	"<HTML>"
#define EHTML	"</HTML>"
#define HEAD	"<HEAD>"
#define EHEAD	"</HEAD>"
#define BODY	"<BODY>"	
#define EBODY	"</BODY>"	
#define RULE	"<HR>"

